MDB_COPY(1)

NAME
mdb_copy - LMDB environment copy tool

SYNOPSIS
mdb_copy [-V] [-c] [-n] [-v] srcpath [dstpath]

DESCRIPTION
The mdb_copy utility copies an LMDB environment. The environment can be copied regardless of whether it is currently in use. No lockfile is created, since it gets recreated at need. If dstpath is specified it must be the path of an empty directory for storing the backup. Otherwise, the backup will be written to stdout.

OPTIONS

-V  Write the library version number to the standard output, and exit.

-c  Compact while copying. Only current data pages will be copied; freed or unused pages will be omitted from the copy. This option will slow down the backup process as it is more CPU-intensive. Currently it fails if the environment has suffered a page leak.

-n  Open LDMB environment(s) which do not use subdirectories.

-v  Use the previous environment state instead of the latest state. This may be useful if the latest state has been corrupted.

DIAGNOSTICS
Exit status is zero if no errors occur. Errors result in a non-zero exit status and a diagnostic message being written to standard error.

CAVEATS
This utility can trigger significant file size growth if run in parallel with write transactions, because pages which they free during copying cannot be reused until the copy is done.

SEE ALSO
mdb_stat(1)

AUTHOR
Howard Chu of Symas Corporation <http://www.symas.com>